LADVDC(8)

NAME
ladvdc - display link layer advertisements

SYNOPSIS
ladvdc [ INTERFACE ] [ INTERFACE ] ...

DESCRIPTION
ladvdc displays link layer advertisements received by ladvd(8) running in receive mode (via -a or -z). Optionally a list of protocols and/or interfaces can be supplied to limit the amount of information displayed. Only users in the ladvd group are allowed to connect to the daemon.

OPTIONS

-b  Print output in a format suitable for inclusion in shell scripts.

-d  Dump pcap-compatible packets to stdout which can be piped to tcpdump (via "| tcpdump -r -") or redirected to a file for further analysis.

-f  Print a full decode of each advertisement (not implemented).

-h  Print usage instructions.

-o  Only print the first advertisement.

-p http://domain.tld/script
    Post decoded packets to the supplied url.

-v  Increase logging verbosity.

-L  Parse LLDP (Link Layer Discovery Protocol).

-C  Parse CDP (Cisco Discovery Protocol).

-E  Parse EDP (Extreme Discovery Protocol).

-F  Parse FDP (Foundry Discovery Protocol).

-N  Parse NDP (Nortel Discovery Protocol) formerly called SynOptics Network Management Protocol (SONMP).

AUTHOR
Sten Spans <sten@blinkenlights.nl>